### Method

# Json Parser load_from_mapped_file

#### Declaration [src]

    gboolean
    json_parser_load_from_mapped_file (
      JsonParser* parser,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads a JSON stream from the content of `filename` and parses it.

Unlike `json_parser_load_from_file()`, `filename` will be memory mapped as read-only and parsed. `filename` will be unmapped before this function returns.

If mapping or reading the file fails, a `G_FILE_ERROR` will be returned.

Available since: | 1.6

#### Parameters

`filename` | `const gchar*`
| The path for the file to parse.
| The data is owned by the caller of the function.
| The value is a file system path, using the OS encoding.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the file was successfully loaded and parsed.